---
title: "ProductMasterRequest"
url: "https://developers.zinnia.com/apis/case-management-1-0-0/versions/0091226b-6452-4e75-93ce-4bbfe022aad5/schemas/ProductMasterRequest"
---

> Full API specification: https://developers.zinnia.com/apis/case-management-1-0-0/versions/0091226b-6452-4e75-93ce-4bbfe022aad5.md

# ProductMasterRequest

Request body to create or update a product master record.

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Case Management API
  version: 1.0.0
servers:
  - url: https://dev.api.zinnia.io/
    description: Dev Environment
  - url: https://qa.api.zinnia.io/
    description: QA Environment
  - url: https://uat.api.zinnia.io/
    description: UAT Environment
  - url: https://api.zinnia.io/
    description: PROD Environment
components:
  schemas:
    ProductMasterRequest:
      type: object
      description: Request body to create or update a product master record.
      required:
        - carrier
        - productId
        - planCode
        - productName
      properties:
        carrier:
          type: string
          minLength: 1
          description: Carrier code (required, non-blank). Trimmed and stored uppercase.
          example: ACME
        productId:
          type: string
          minLength: 1
          description: Unique product identifier (required, non-blank). Trimmed on save.
            Upsert key.
          example: PROD-001
        planCode:
          type: string
          minLength: 1
          description: Plan code (required, non-blank). Trimmed on save.
          example: PLAN-A
        productName:
          type: string
          minLength: 1
          description: Display name for the product (required, non-blank). Trimmed on save.
          example: Term Life
```
